RhinoExtension (Gradle API 4.7)
Date: 2018-04-18

org.gradle.plugins.javascript.rhino

## Class RhinoExtension

- java.lang.Object
- - org.gradle.plugins.javascript.rhino.RhinoExtension

-     public class RhinoExtension
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLASSPATH_CONFIGURATION_NAME`
    `static String` | `DEFAULT_RHINO_DEPENDENCY_GROUP`
    `static String` | `DEFAULT_RHINO_DEPENDENCY_MODULE`
    `static String` | `DEFAULT_RHINO_DEPENDENCY_VERSION`
    `static String` | `NAME`
    `static String` | `RHINO_SHELL_MAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RhinoExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureJavaExec(JavaExecSpec spec)`
    `FileCollection` | `getClasspath()`
    `String` | `getVersion()`
    `void` | `setClasspath(FileCollection rhinoClasspath)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### RHINO_SHELL_MAIN

          public static final String RHINO_SHELL_MAIN

      See Also:
        Constant Field Values

    - #### DEFAULT_RHINO_DEPENDENCY_VERSION

          public static final String DEFAULT_RHINO_DEPENDENCY_VERSION

      See Also:
        Constant Field Values

    - #### DEFAULT_RHINO_DEPENDENCY_GROUP

          public static final String DEFAULT_RHINO_DEPENDENCY_GROUP

      See Also:
        Constant Field Values

    - #### DEFAULT_RHINO_DEPENDENCY_MODULE

          public static final String DEFAULT_RHINO_DEPENDENCY_MODULE

      See Also:
        Constant Field Values

    - #### CLASSPATH_CONFIGURATION_NAME

          public static final String CLASSPATH_CONFIGURATION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RhinoExtension

          public RhinoExtension()

  - ### Method Detail

    - #### getClasspath

          public FileCollection getClasspath()

    - #### setClasspath

          public void setClasspath(FileCollection rhinoClasspath)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### configureJavaExec

          public void configureJavaExec(JavaExecSpec spec)